Shipping methods
Replace a shipping method
PUT
/
api
/
v2025-06
/
shipping_methods
/
{id}
Replace a shipping method
curl --request PUT \
--url https://api.fluid.app/api/v2025-06/shipping_methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_method": {
"name": "<string>",
"warehouse_id": 123,
"rate_type": "<string>",
"rate_type_unit": "<string>",
"currency_code": "<string>",
"status": "<string>",
"priority": 123,
"all_countries": true,
"delivery_time_estimate": "<string>",
"country_sort_positions": {},
"shipping_method_rates_attributes": [
{
"rate_type_min": 123,
"rate_type_max": 123,
"price": 123,
"country": "<string>",
"region": "<string>"
}
]
}
}
'import requests
url = "https://api.fluid.app/api/v2025-06/shipping_methods/{id}"
payload = { "shipping_method": {
"name": "<string>",
"warehouse_id": 123,
"rate_type": "<string>",
"rate_type_unit": "<string>",
"currency_code": "<string>",
"status": "<string>",
"priority": 123,
"all_countries": True,
"delivery_time_estimate": "<string>",
"country_sort_positions": {},
"shipping_method_rates_attributes": [
{
"rate_type_min": 123,
"rate_type_max": 123,
"price": 123,
"country": "<string>",
"region": "<string>"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipping_method: {
name: '<string>',
warehouse_id: 123,
rate_type: '<string>',
rate_type_unit: '<string>',
currency_code: '<string>',
status: '<string>',
priority: 123,
all_countries: true,
delivery_time_estimate: '<string>',
country_sort_positions: {},
shipping_method_rates_attributes: [
{
rate_type_min: 123,
rate_type_max: 123,
price: 123,
country: '<string>',
region: '<string>'
}
]
}
})
};
fetch('https://api.fluid.app/api/v2025-06/shipping_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"delivery_time_estimate": "<string>",
"rate_type": "<string>",
"rate_type_unit": "<string>",
"currency_code": "<string>",
"status": "<string>",
"priority": 123,
"all_countries": true,
"country_sort_positions": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"warehouse_id": 123,
"shipping_method_rates": [
{
"id": 123,
"rate_type_min": "<string>",
"rate_type_max": "<string>",
"price": "<string>",
"country": "<string>",
"region": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Replace a shipping method
